import React from "react";
import { View, Image } from "@tarojs/components";
import Taro from "@tarojs/taro";

import "./index.scss";

class InputBox extends React.Component<any, any> {
  static defaultProps = {};

  constructor(props: any) {
    super(props);
    this.state = {
      width: 0,
      topHeight: 0,
      bottomHeight: 0,
    };
    Taro.createSelectorQuery()
      .select(".inputBox-main") // 选择器，可以是元素的 id、class、标签名等
      .boundingClientRect((rect: any) => {
        this.setState({
          width: rect.width,
        });
      })
      .exec();
  }

  getImageTop = (e: any) => {
    this.setState({
      topHeight: (this.state.width / e.detail.width) * e.detail.height,
    });
  };
  getImageBottom = (e: any) => {
    this.setState({
      bottomHeight: (this.state.width / e.detail.width) * e.detail.height,
    });
  };

  render() {
    // const {  } = this.props;

    return (
      <View className="inputBox-main">
        {this.state.width > 0 && (
          <Image
            style={`width: ${this.state.width}px;height: ${this.state.topHeight}px;`}
            onLoad={this.getImageTop}
            src="https://cxzx.smcic.net/topic/tool/img/%E5%B0%91%E5%84%BF%E4%B9%A6%E7%94%BB%E5%A4%A7%E8%B5%9B/input-top.png"
          />
        )}
        <View className="input-box main">{this.props.children}</View>
        {this.state.width > 0 && (
          <Image
            style={`width: ${this.state.width}px;height: ${this.state.bottomHeight}px;`}
            onLoad={this.getImageBottom}
            src="https://cxzx.smcic.net/topic/tool/img/%E5%B0%91%E5%84%BF%E4%B9%A6%E7%94%BB%E5%A4%A7%E8%B5%9B/input-bottom.png"
          />
        )}
      </View>
    );
  }
}

export { InputBox };
