import React from "react";
import { View, Image, Text } from "@tarojs/components";
import Taro from "@tarojs/taro";

import "./index.scss";

import { InputBox } from "../../component/input/index";

import AloneUpdate from "./from";
import Team from "./team";

class Application extends React.Component<any, any> {
  static defaultProps = {};
  #systemInfo = Taro.getSystemInfoSync();

  constructor(props: any) {
    super(props);
    this.state = {
      height: 0,
      bmfs: 0,
    };
  }

  getImageSize = (e: any) => {
    this.setState({
      height: (this.#systemInfo.screenWidth / e.detail.width) * e.detail.height,
    });
  };

  changebmfs = (n: number) => {
    this.setState({
      bmfs: n,
    });
  };

  render() {
    // const {  } = this.props;
    return (
      <View className="application">
        <Image
          style={`width: ${this.#systemInfo.screenWidth}px;height: ${
            this.state.height
          }px;`}
          src="https://cxzx.smcic.net/topic/tool/img/%E5%B0%91%E5%84%BF%E4%B9%A6%E7%94%BB%E5%A4%A7%E8%B5%9B/banner-2.png"
          onLoad={this.getImageSize}
        />

        <InputBox>
          <View style="padding: 0 15px">
            <Text className="label">报名方式*</Text>
            <View className="areaList">
              <View
                className={
                  "areaStyle bmfs " + (this.state.bmfs == 0 ? "bmfs_act" : "")
                }
                onClick={() => this.changebmfs(0)}
              >
                个人报名
              </View>
              <View
                className={
                  "areaStyle bmfs " + (this.state.bmfs == 1 ? "bmfs_act" : "")
                }
                onClick={() => this.changebmfs(1)}
              >
                团体报名
              </View>
            </View>

            {this.state.bmfs == 0 && <AloneUpdate />}
            {this.state.bmfs == 1 && <Team />}
          </View>
        </InputBox>
      </View>
    );
  }
}

export { Application };
